<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<link th:href="@{../assets/css/style.css}" href="../static/assets/css/style.css" rel="stylesheet"
      id="bootstrap-css">
<head>
    <meta charset="utf-8">
    <meta content="width=device-width, initial-scale=1.0" name="viewport">

    <title>Warehouses</title>
    <meta content="" name="description">
    <meta content="" name="keywords">

    <!-- Favicons -->
    <link href="../static/assets/img/favicon.png" th:href="@{~/assets/img/favicon.png}" rel="icon">

    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Raleway:300,300i,400,400i,500,500i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i"
          rel="stylesheet">

    <!-- Vendor CSS Files -->
    <link th:href="@{~/assets/vendor/bootstrap/css/bootstrap.min.css}" href="../static/assets/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link th:href="@{~/assets/vendor/bootstrap-icons/bootstrap-icons.css}" href="../static/assets/vendor/bootstrap-icons/bootstrap-icons.css" rel="stylesheet">
    <link th:href="@{~/assets/vendor/boxicons/css/boxicons.min.css}" href="../static/assets/vendor/boxicons/css/boxicons.min.css" rel="stylesheet">
    <link th:href="@{~/assets/vendor/glightbox/css/glightbox.min.css}" href="../static/assets/vendor/glightbox/css/glightbox.min.css" rel="stylesheet">
    <link th:href="@{~/assets/vendor/remixicon/remixicon.css}" href="../static/assets/vendor/remixicon/remixicon.css" rel="stylesheet">
    <link th:href="@{~/assets/vendor/swiper/swiper-bundle.min.css}" href="../static/assets/vendor/swiper/swiper-bundle.min.css" rel="stylesheet">

    <!-- Template Main CSS File -->
    <link th:href="@{~/assets/css/style.css}" href="../static/assets/css/style.css" rel="stylesheet">

    <!-- =======================================================
    * Template Name: KnightOne - v4.0.1
    * Template URL: https://bootstrapmade.com/knight-simple-one-page-bootstrap-template/
    * Author: BootstrapMade.com
    * License: https://bootstrapmade.com/license/
    ======================================================== -->
</head>

<body>

<!-- ======= Header ======= -->
<header id="header" class="fixed-top header-inner-pages">
    <div class="container-fluid">

        <div class="row justify-content-center">
            <div class="col-xl-9 d-flex align-items-center justify-content-lg-between">
                <h1 class="logo me-auto me-lg-0"><a th:href="@{/}" href="index.html"
                                                    th:text="#{home.name}">DeliverIT</a></h1>
                <!-- Uncomment below if you prefer to use an image logo -->
                <!-- <a href="index.html" class="logo me-auto me-lg-0"><img src="assets/img/logo.png" alt="" class="img-fluid"></a>-->

                <nav id="navbar" class="navbar order-last order-lg-0">
                    <ul>
                        <li><a class="nav-link scrollto" th:href="@{/}" href="#hero">Home</a></li>
                        <li><a class="nav-link scrollto" th:href="@{/}" href="#about" >About</a></li>
                        <li><a class="nav-link scrollto" th:href="@{/}" href="#contact">Contact</a></li>
                        <li th:if="${currentUser == null || currentUser.getRole().getName().equalsIgnoreCase('Customer')}">
                            <a class="nav-link " th:href="@{/warehouses}" href="warehouses.html">Warehouses</a></li>
                        <li th:if="${currentUser != null}" ><a class="nav-link scrollto"
                                                               th:href="@{/profile/{id}(id=${currentUser.getId()})}"
                                                               href="profile.html">Profile</a></li>
                        <li th:if="${currentUser != null && currentUser.getRole().getName().equalsIgnoreCase('Customer')}">
                            <a class="nav-link " th:href="@{/my-parcels}" href="warehouses.html">My Parcels</a></li>
                        <li th:if="${ currentUser != null && currentUser.getRole().getName().equalsIgnoreCase('Employee')}"
                            class="dropdown"><a href="#"><span>Employee Options</span> <i class="bi bi-chevron-down"></i></a>
                            <ul>
                                <li class="dropdown"><a href="#"><span>Warehouse</span> <i
                                        class="bi bi-chevron-right"></i></a>
                                    <ul>
                                        <li><a href="#" th:href="@{/warehouses}">All Warehouses</a></li>
                                        <li><a href="#" th:href="@{/warehouses/create}" >Create</a></li>
                                    </ul>
                                </li>

                                <li class="dropdown"><a href="#"><span>Shipments</span> <i
                                        class="bi bi-chevron-right"></i></a>
                                    <ul>
                                        <li><a href="#" th:href="@{/shipments}">All Shipments</a></li>
                                        <li><a href="#" th:href="@{/shipments/next-shipment}">Next Shipment</a></li>
                                        <li><a href="#" th:href="@{/shipments/create}">Create</a></li>
                                    </ul>
                                </li>
                                <li class="dropdown"><a href="#"><span>Parcels</span> <i
                                        class="bi bi-chevron-right"></i></a>
                                    <ul>
                                        <li><a href="#" th:href="@{/parcels}">All Parcels</a></li>
                                        <li><a href="#" th:href="@{/parcels/create}">Create</a></li>
                                    </ul>
                                </li>
                            </ul>
                        </li>

                    </ul>
                    <i class="bi bi-list mobile-nav-toggle"></i>
                </nav><!-- .navbar -->

                <li th:if="${currentUser == null}">
                    <a href="login.html" class="log-in" th:text="Login" th:href="@{login}">Login</a>
                </li>

                <li th:if="${currentUser == null}">
                    <a href="register.html" class="register-me" th:text="Register" th:href="@{register}">Register</a>
                </li>

                <li th:if="${currentUser != null}">
                    <a href="#" class="sign-out-me" th:href="@{/logout}">Sign out</a>
                </li>

            </div>
        </div>

    </div>
</header><!-- End Header -->

<main id="main">

    <!-- ======= Breadcrumbs ======= -->
    <section id="breadcrumbs" class="breadcrumbs">
        <div class="container">

            <ol>
                <li><a href="index.html" th:href="@{/}">Home</a></li>
                <li>Warehouses</li>
            </ol>
            <h2 id="warehouse-header">Warehouses</h2>

        </div>
    </section><!-- End Breadcrumbs -->

    <section class="inner-page">
        <table id="warehouse-table" class="table">
            <thead>
            <tr>
                <th th:if="${currentUser != null && currentUser.getRole().getName().equals('Employee')}" scope="col">Warehouse Options</th>
                <th scope="col">ID</th>
                <th scope="col">Country</th>
                <th scope="col">City</th>
                <th scope="col">Address</th>
            </tr>
            </thead>
            <tbody>
            <tr th:each="warehouse : ${warehouses}">
                <td th:if="${currentUser != null && currentUser.getRole().getName().equals('Employee')}">
                    <a href="/warehouses/{id}" th:href="@{warehouses/{id}(id=${warehouse.getId()})}">Options</a></td>
                <td th:text="${warehouse.getId()}">ID</td>
                <td th:text="${warehouse.getAddress().getCity().getCountry().getName()}">Country</td>
                <td th:text="${warehouse.getAddress().getCity().getName()}">City</td>
                <td th:text="${warehouse.getAddress().getAddress()}">Address</td>
            </tbody>
        </table>
        <a href="create-warehouse.html" class="green-button" th:href="@{/warehouses/create}"
           th:text="${'Create Warehouse'}">Create Warehouse</a>

    </section>

</main><!-- End #main -->

<!-- ======= Footer ======= -->
<footer id="footer">
    <div class="container">
        <h3 th:text="#{home.name}">DeliverIt</h3>
        <p>Et aut eum quis fuga eos sunt ipsa nihil. Labore corporis magni eligendi fuga maxime saepe commodi
            placeat.</p>
        <div class="social-links">
            <a href="#" class="twitter"><i class="bx bxl-twitter"></i></a>
            <a href="#" class="discord"><i class="bx bxl-apple"></i></a>
            <a href="#" class="facebook"><i class="bx bxl-facebook"></i></a>
            <a href="#" class="instagram"><i class="bx bxl-instagram"></i></a>
            <a href="#" class="linkedin"><i class="bx bxl-linkedin"></i></a>
        </div>
        <div class="copyright">
            &copy; Copyright <strong><span th:text="#{home.name}">DeliverIt</span></strong>. All Rights Reserved
        </div>
        <div class="credits">
            <!-- All the links in the footer should remain intact. -->
            <!-- You can delete the links only if you purchased the pro version. -->
            <!-- Licensing information: https://bootstrapmade.com/license/ -->
            <!-- Purchase the pro version with working PHP/AJAX contact form: https://bootstrapmade.com/knight-simple-one-page-bootstrap-template/ -->
            Designed by <a href="https://bootstrapmade.com/">BootstrapMade</a>
        </div>
    </div>
</footer><!-- End Footer -->

<div id="preloader"></div>
<a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i
        class="bi bi-arrow-up-short"></i></a>

<!-- Vendor JS Files -->
<script th:src="@{~/assets/vendor/bootstrap/js/bootstrap.bundle.min.js}" src="../static/assets/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
<script th:src="@{~/assets/vendor/glightbox/js/glightbox.min.js}" src="../static/assets/vendor/glightbox/js/glightbox.min.js"></script>
<script th:src="@{~/assets/vendor/isotope-layout/isotope.pkgd.min.js}" src="../static/assets/vendor/isotope-layout/isotope.pkgd.min.js"></script>
<script th:src="@{~/assets/vendor/php-email-form/validate.js}" src="../static/assets/vendor/php-email-form/validate.js"></script>
<script th:src="@{~/assets/vendor/purecounter/purecounter.js}" src="../static/assets/vendor/purecounter/purecounter.js"></script>
<script th:src="@{~/assets/vendor/swiper/swiper-bundle.min.js}" src="../static/assets/vendor/swiper/swiper-bundle.min.js"></script>

<!-- Template Main JS File -->
<script th:src="@{~/assets/js/main.js}" src="../static/assets/js/main.js"></script>

</body>

</html>